ftgentmp
Prev | Orchestra Opcodes and Operators | Next

## ftgentmp

ftgentmp — Generate a score function table from within the orchestra, which is deleted at the end of the note.

## Description

Generate a score function table from within the orchestra, which is optionally deleted at the end of the note.

## Syntax

    ifno ftgentmp ip1, ip2dummy, isize, igen, iarga, iargb, ...

## Initialization

ifno -- either a requested or automatically assigned table number above 100.

ip1 -- the number of the table to be generated or 0 if the number is to be assigned, in which case the table is deleted at the end of the note activation.

ip2dummy -- ignored.

isize -- table size. Corresponds to p3 of the score f statement.

igen -- function table GEN routine. Corresponds to p4 of the score f statement.

iarga, iargb, ... -- function table arguments. Correspond to p5 through pn of the score f statement.

## Credits

Authors: Istvan Varga
2005

Prev | Up | Next
ftgen | Home | ftlen